engineconfig_struct Struct Reference

`#include <cfg.h>`

## Data Fields

const char * | cfg_filename
const char * | policy_filename
const char * | zonelist_filename
const char * | zonefetch_filename
const char * | log_filename
const char * | pid_filename
const char * | delegation_signer_submit_command
const char * | delegation_signer_retract_command
const char * | clisock_filename
const char * | working_dir
const char * | username
const char * | group
const char * | chroot
const char * | datastore
const char * | db_host
const char * | db_username
const char * | db_password
int | use_syslog
int | num_worker_threads
int | manual_keygen
int | verbosity
int | db_port
time_t | automatic_keygen_duration
time_t | rollover_notification
hsm_repository_t * | repositories
engineconfig_database_type_t | db_type

## Detailed Description

Definition at line 54 of file cfg.h.

## Field Documentation

## automatic_keygen_duration

time_t engineconfig_struct::automatic_keygen_duration

Definition at line 77 of file cfg.h.

Referenced by engine_config(), and hsm_key_factory_generate().

## cfg_filename

const char* engineconfig_struct::cfg_filename

Definition at line 55 of file cfg.h.

Referenced by engine_config(), and engine_config_cleanup().

## chroot

const char* engineconfig_struct::chroot

Definition at line 67 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## clisock_filename

const char* engineconfig_struct::clisock_filename

Definition at line 63 of file cfg.h.

Referenced by engine_config(), engine_config_check(), engine_config_cleanup(), engine_setup(), and engine_teardown().

## datastore

const char* engineconfig_struct::datastore

Definition at line 68 of file cfg.h.

Referenced by engine_config(), engine_config_check(), engine_config_cleanup(), and main().

## db_host

const char* engineconfig_struct::db_host

Definition at line 69 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and main().

## db_password

const char* engineconfig_struct::db_password

Definition at line 71 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and main().

## db_port

int engineconfig_struct::db_port

Definition at line 76 of file cfg.h.

Referenced by engine_config(), and main().

## db_type

engineconfig_database_type_t engineconfig_struct::db_type

Definition at line 80 of file cfg.h.

Referenced by engine_config(), and main().

## db_username

const char* engineconfig_struct::db_username

Definition at line 70 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and main().

## delegation_signer_retract_command

const char* engineconfig_struct::delegation_signer_retract_command

Definition at line 62 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## delegation_signer_submit_command

const char* engineconfig_struct::delegation_signer_submit_command

Definition at line 61 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## group

const char* engineconfig_struct::group

Definition at line 66 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), engine_config_print(), and engine_setup().

## log_filename

const char* engineconfig_struct::log_filename

Definition at line 59 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), engine_config_print(), and engine_setup().

## manual_keygen

int engineconfig_struct::manual_keygen

Definition at line 74 of file cfg.h.

Referenced by autostart(), engine_config(), engine_config_print(), hsm_key_factory_get_key(), policy_import(), and zonelist_import().

## num_worker_threads

int engineconfig_struct::num_worker_threads

Definition at line 73 of file cfg.h.

Referenced by engine_config(), engine_config_print(), engine_start_workers(), engine_stop_workers(), and engine_teardown().

## pid_filename

const char* engineconfig_struct::pid_filename

Definition at line 60 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), engine_setup(), and engine_teardown().

## policy_filename

const char* engineconfig_struct::policy_filename

Definition at line 56 of file cfg.h.

Referenced by engine_config(), engine_config_check(), engine_config_cleanup(), engine_config_print(), and policy_import().

## repositories

hsm_repository_t* engineconfig_struct::repositories

Definition at line 79 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), engine_setup(), hsm_key_factory_generate(), and policy_import().

## rollover_notification

time_t engineconfig_struct::rollover_notification

Definition at line 78 of file cfg.h.

Referenced by engine_config(), and update().

## use_syslog

int engineconfig_struct::use_syslog

Definition at line 72 of file cfg.h.

Referenced by engine_config(), engine_config_print(), and engine_setup().

## username

const char* engineconfig_struct::username

Definition at line 65 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), engine_config_print(), and engine_setup().

## verbosity

int engineconfig_struct::verbosity

Definition at line 75 of file cfg.h.

Referenced by engine_config(), and main().

## working_dir

const char* engineconfig_struct::working_dir

Definition at line 64 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), engine_config_print(), and engine_setup().

## zonefetch_filename

const char* engineconfig_struct::zonefetch_filename

Definition at line 58 of file cfg.h.

Referenced by engine_config(), engine_config_cleanup(), and engine_config_print().

## zonelist_filename

const char* engineconfig_struct::zonelist_filename

Definition at line 57 of file cfg.h.

Referenced by engine_config(), engine_config_check(), engine_config_cleanup(), engine_config_print(), and zonelist_import().

The documentation for this struct was generated from the following file:

- src/daemon/cfg.h